
def random_color_button():
    from PyQt5.QtWidgets import QPushButton, QApplication, QColorDialog
    from PyQt5.QtCore import Qt
    
    def change_button_color():
        color = QColorDialog.getColor()
        if color.isValid():
            button.setStyleSheet(f'background-color: {color.name()}')
    
    app = QApplication([])
    button = QPushButton("Change Color", clicked=change_button_color)
    button.show()
    app.exec_()



